Name:      and
Version:   1.2.2
Release:   17%{?dist}
Summary:   Auto nice daemon

License:   GPLv2
Group:     System Environment/Daemons

URL:       http://and.sourceforge.net
Source0:   http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:   and.sysconf 
Source2:   and.service
Patch1:    and-1.2.2-makefile.patch

Buildroot: %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)

Obsoletes: and-sysvinit < %{version}-%{release}
Provides:  and-sysvinit = %{version}-%{release}

Obsoletes:  and-units < %{version}-%{release}
Provides:   and-units = %{version}-%{release}

BuildRequires:	systemd-units

Requires(post):	systemd-units
Requires(preun):	systemd-units
Requires(postun):	systemd-units

provides:	and-sysvinit = %{version}-%{release}
Obsoletes:	and-sysvinit < 1.2.2-11

provides:	and-units = %{version}-%{release}
Obsoletes:	and-units < 1.2.2-11


Buildroot: %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)

%description
The auto nice daemon renices and even kills jobs according to their CPU time,
owner, and command name. This is especially useful on production machines with
lots of concurrent CPU-intensive jobs and users that tend to forget to
nice their jobs.

%prep            
%setup1 -q
%patch1 -p1 -b .org

%build
make %{?_smp_mflags} \
     CFLAGS='%{optflags}' \
     PREFIX=%{_prefix} \
     INSTALL_ETC=%{_sysconfdir} \
     INSTALL_SBIN=%{_sbindir} \
     INSTALL_MAN=%{_mandir}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_mandir}/man8
mkdir -p %{buildroot}%{_mandir}/man5
make PREFIX=%{buildroot}%{_prefix} \
     INSTALL_ETC=%{buildroot}%{_sysconfdir} \
     INSTALL_SBIN=%{buildroot}%{_sbindir} \
     INSTALL_MAN=%{buildroot}%{_mandir} install 

mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
install -p -m 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/sysconfig/and

mkdir -p %{buildroot}%{_unitdir}
install -p -m 0644 %{SOURCE2} %{buildroot}%{_unitdir}

%clean
rm -rf %{buildroot}

%post
if [ $1 -eq 1 ]; then
   /bin/systemctl daemon-reload >/dev/null 2>&1 || :
fi

%preun
if [ $1 -eq 1 ]; then
   /bin/systemctl --no-reload disable and.service >/dev/null 2>&1 || :
   /bin/systemctl stop and.service >/dev/null 2>&1 || :
fi

%postun
if [ $0 -ne 0 ]; then
   /bin/systemctl try-restart and.service >/dev/null 2>&1 || :
fi

%files
%defattr(-,root,root)
%doc README LICENSE CHANGELOG
%config(noreplace) %{_sysconfdir}/and/
%config(noreplace) %{_sysconfdir}/sysconfig/and
%{_sbindir}/*
%{_mandir}/man5/*.gz
%{_mandir}/man8/*.gz
%{_unitdir}/and.service

%changelog
* Tue Aug 28 2012 Jochen Schmitt <Jochen herr-schmitt de> 1.2.2-17
- Fix misprint operator in %%post stanza (#852419)

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Oct 26 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-14
- Rebuilt for glibc bug#747377

* Wed Jun 15 2011 Jochen Schmitt <Jochen herr-schmitt de> 1.2.2-13
- Rework and.service to fix #713432

* Thu Mar 31 2011 Jochen Schmitt <Jochen herr-schmitt de> 1.2.2-12
- Rework for systemd

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Nov 28 2010 Jochen Schmitt <Jochen herr-schmitt de> 1.2.2-10
- Remove SysVInit support

* Sun Jul 18 2010 Jochen Schmitt <Jochen herr-schmitt de> 1.2.2-9
- Try to add systemd support

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 13 2008 Jochen Schmitt <Jochen herr-schmitt de> 1.2.2-6
- Rebuild for gcc-4.3

* Wed Jan 23 2008 Jochen Schmitt <Jochen herr-schmitt de> 1.2.2-5
- Rebuild

* Thu Aug  9 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.2.2-4
- Changing license tag

* Mon Jul 30 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.2.2-3
- Fix wrong postun requires

* Thu Jul 26 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.2.2-2
- Adding sysconfig file template

* Tue Jul 24 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.2.2-1
- Initial package for Fedora
